xpublish module#

async jupyter_xarray_tiler.xpublish.add_data_array(data_array, *, rescale=None, **kwargs)[source]#

Adds a DataArray to the xpublish-tiles server and returns a URL template.

The xpublish-tiles server is lazily started when the first DataArray is added.

Parameters:
  • rescale (tuple[float, float] | None, default: None) – Comma (‘,’) delimited Min,Max range.

  • kwargs (str | int) – Additional query parameters to include in the TiTiler request URL.

Returns:

str – A URL pointing to the new tile endpoint.

jupyter_xarray_tiler.xpublish.get_routes()[source]#

Display a list of all available routes on the TiTiler server.

Returns:

list[dict[str, Any]] – A list containing one dictionary per route exposed by the TiTiler server.

Raises:

RuntimeError – If called before the server is started. Always await add_data_array() first.